## videoanalyse videoanalyse |

## Properties

gboolean | message | Read / Write / Construct

## Types and Values

struct | GstVideoAnalyse

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstVideoFilter
                            ╰── GstVideoAnalyse

## Description

This plugin analyses every video frame and if the “message” property is `TRUE`, posts an element message with video statistics called `GstVideoAnalyse`.

The message's structure contains these fields:

- GstClockTime `timestamp`: the timestamp of the buffer that triggered the message.

- GstClockTime `stream-time`: the stream time of the buffer.

- GstClockTime `running-time`: the running_time of the buffer.

- GstClockTime `duration`:the duration of the buffer.

- gdouble `luma-average`: the average brightness of the frame. Range: 0.0-1.0

- gdouble `luma-variance`: the brightness variance of the frame.

#### Example launch line

    1
    gst-launch-1.0 -m videotestsrc ! videoanalyse ! videoconvert ! ximagesink

This pipeline emits messages to the console for each frame that has been analysed.

## Synopsis

### Element Information

plugin | videosignal
author | Wim Taymans <wim@fluendo.com>
class | Filter/Analyzer/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string){ I420, YV12, Y444, Y42B, Y41B }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw, format=(string){ I420, YV12, Y444, Y42B, Y41B }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstVideoAnalyse

    struct GstVideoAnalyse;

## Property Details

### The `“message”` property

      “message”                  gboolean

Post statics messages.

Flags: Read / Write / Construct

Default value: TRUE